package com.dxhy.erp.dao;

import com.dxhy.erp.entity.ReportStatisticsPo;
import com.dxhy.erp.entity.ReportTransferStatisticsPo;
import com.dxhy.erp.model.ReportInvoiceStatisticsModel;
import com.dxhy.erp.model.TransferStatisticsModel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DeclareDao {

    //申报进项转出
    List<TransferStatisticsModel> getTransferStatistics(ReportTransferStatisticsPo reportStatisticsPo);

    //申报统计 1-认证抵扣类
    List<ReportInvoiceStatisticsModel> getVatStatistics(ReportStatisticsPo data);

    //申报统计 2-实名客票计算抵扣类
    List<ReportInvoiceStatisticsModel> getTicketStatistics(ReportStatisticsPo data);

    //申报统计 3-代扣代缴计算抵扣类
    List<ReportInvoiceStatisticsModel> getWithholdingStatistics(ReportStatisticsPo data);

    //申报统计 4-过路过桥类
    List<ReportInvoiceStatisticsModel> getBridgeStatistics(ReportStatisticsPo data);

    //申报统计 5-海关进口增值税专用缴款书
    List<ReportInvoiceStatisticsModel> getCustomStatistics(ReportStatisticsPo data);
}
